import { SignalingEvent } from './Signaling';
import { EventHandler } from './EventHandler';
import { Room } from './Room';
export declare class Participant {
    private id;
    private room;
    private peer;
    private channel?;
    private dispatcher;
    private offerAnswerOptions;
    private isNegotiating;
    constructor(id: string, room: Room);
    getId: () => string;
    on: (event: string, callback: EventHandler) => Participant;
    send: (payload: any) => Participant;
    close: () => Participant;
    addStream: (stream: MediaStream) => Participant;
    onSignalingEvent: (event: SignalingEvent) => Participant;
    renegotiate: (remoteDesc?: RTCSessionDescription | undefined) => Promise<Participant>;
    private newDataChannel;
    private onAnswer;
    private onCandidate;
    private onIceCandidate;
    private onConnectionStateChange;
    private onIceConnectionStateChange;
    private onNegotiationNeeded;
    private onSignalingStateChange;
    private onDataChannel;
    private onMessage;
    private dispatchRemoteStream;
}
