import { EventDispatcher } from './EventDispatcher';
import { Configuration } from './Configuration';
import { SignalingEvent } from './Signaling';
import { EventHandler } from './EventHandler';
export declare class Room {
    private id;
    private participantId;
    private configuration;
    private appDispatcher;
    private participants;
    private dispatcher;
    private stream?;
    constructor(id: string, configuration: Configuration, appDispatcher: EventDispatcher, stream?: MediaStream);
    getId: () => string;
    getParticipantId: () => string;
    getEventDispatcher: () => EventDispatcher;
    getConfiguration: () => Configuration;
    getStream: () => MediaStream | undefined;
    on: (event: string, callback: EventHandler) => Room;
    send: (payload: any) => Room;
    disconnect: () => Room;
    onSignalingEvent: (event: SignalingEvent) => Room;
    private onOffer;
    private onConnect;
    private onDisconnect;
}
